## com.saxonica.codegen
Class EmptySequenceCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.EmptySequenceCompiler

    public class EmptySequenceCompiler

extends ValueCompiler

Generate Java code to implement an XPath empty sequence

Constructor Summary
`EmptySequenceCompiler()`

Method Summary
`void` `compilePush(CompilerService compiler, Value value)`
`java.lang.String` `compileToCharSequence(CompilerService compiler, Value value)`
`java.lang.String` `compileToEffectiveBooleanValue(CompilerService compiler, Value value, ReturnAction result)`
`java.lang.String` `compileToItem(CompilerService compiler, AtomicValue value)`
`java.lang.String` `compileToIterator(CompilerService compiler, Value value)`
`java.lang.String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compileToCharSequence, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptySequenceCompiler

    public EmptySequenceCompiler()

Method Detail

### compilePush

    public void compilePush(CompilerService compiler,
                            Value value)

  Overrides:
    `compilePush` in class `ValueCompiler`

### compileToItem

    public java.lang.String compileToItem(CompilerService compiler,
                                          AtomicValue value)

  Overrides:
    `compileToItem` in class `ValueCompiler`

### compileToIterator

    public java.lang.String compileToIterator(CompilerService compiler,
                                              Value value)

  Overrides:
    `compileToIterator` in class `ValueCompiler`

### compileToEffectiveBooleanValue

    public java.lang.String compileToEffectiveBooleanValue(CompilerService compiler,
                                                           Value value,
                                                           ReturnAction result)

  Overrides:
    `compileToEffectiveBooleanValue` in class `ValueCompiler`

### compileToCharSequence

    public java.lang.String compileToCharSequence(CompilerService compiler,
                                                  Value value)

### toJavaExpression

    public java.lang.String toJavaExpression(AtomicValue value,
                                             CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) Saxonica Limited. All rights reserved.